<?php
$filename = 'produkty.json';

switch ($_GET['action'] ?? '') {
  case 'list':
    echo file_get_contents($filename);
    break;

  case 'add':
    $data = json_decode(file_get_contents('php://input'), true);
    $products = json_decode(file_get_contents($filename), true);
    $products[] = $data;
    file_put_contents($filename, json_encode($products, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE));
    echo json_encode(['success' => true]);
    break;

  case 'edit':
    $data = json_decode(file_get_contents('php://input'), true);
    $products = json_decode(file_get_contents($filename), true);
    $products[$data['index']] = [
      'name' => $data['name'],
      'category' => $data['category'],
      'image' => $data['image']
    ];
    file_put_contents($filename, json_encode($products, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE));
    echo json_encode(['success' => true]);
    break;

  case 'delete':
    $data = json_decode(file_get_contents('php://input'), true);
    $products = json_decode(file_get_contents($filename), true);
    array_splice($products, $data['index'], 1);
    file_put_contents($filename, json_encode($products, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE));
    echo json_encode(['success' => true]);
    break;

  default:
    http_response_code(400);
    echo json_encode(['error' => 'Neplatná akce']);
    break;
}
